TULISAN - Feature #3448

Membaca Discount or Special Price dari tab Sales Info
02/25/2025 12:33 PM - haykal haykal

Status: Closed Start date: 02/25/2025
Priority: Immediate Due date: 02/26/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.00 hours
Description

Dear Shofwan,

Di Material Master Data ada tab Sales Info. Disana ada field Start Date, End Date, Promo Type, Special Price, dan DiscountPercent.
Jadi di CRM harus bisa membaca itu untuk pengaplikasian Discountnya. Jadi yg Start Date & End Date adalah periode kapan
promo/diskon tersebut berlaku. Kalau transaksi dilakukan dalam periode Start Date dan End Date tersebut maka transaksi tersebut
mendapat diskon berdasarkan material yang dipilih pada saat transaksi (membaca tab Sales Info untuk material tersebut).

Field Promo Type adalah flag untuk membaca apakah promo yang dipakai adalah Discount atau Special Price.

MateriallD - MateriallD yang sudah saya isikan data discount/special price di tab Sales Info: 00000002, 00000009, 00000016

Menu Path: Logistic & Service > Master Data > Material Master Data

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 02/25/2025 12:45 PM - haykal haykal
- Subject changed from Membaca Discount dan Special Price dari tab Sales Info to Membaca Discount or Special Price dari tab Sales Info

- Description updated

#2 - 02/25/2025 02:46 PM - haykal haykal

Dear Shofwan,

Telah dibuatkan tabel PCMFILODISCOUNTGENERAL untk tabel parameter discount yg general.

Disitu ada diskon berdasarkan SalesOfficelD (Outlet) dan ProductGroup.

Jadi kata Mbak Yaya nanti lu ngebaca diskon yg ada di tab Sales Info dulu baru ke tabel yg PCMFILODISCOUNTGENERAL.
Dan kalau misalnya ada barang yg applied diskon (eligible untk mendapat diskon) dari 2 hal tersebut (tab Sales Info dan tabel
PCMFILODISCOUNTGENERAL), maka hrsnya system bisa memilih/menentukan mana discount yang lebih besar (yang lebih menguntungkan untuk
Customer).

CMIIW ya Mbak Yaya...

Thanks.

#3 - 02/25/2025 03:49 PM - Kezia Pawitra Yulianti

- Due date set to 02/26/2025

- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#4 - 02/26/2025 04:18 PM - shofwan shiddiq

- File clipboard-202502261606-ackgs.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal
https://tulisan-dev.minovais.com/

Dear Haykal, sudah mengambil diskon sesuai di tab diskon ya, dan save nya juga sesuai dengan nilai diskon

{!} Dimana lokasimu saat inf ﬁ
My Basket

Puisi Tote October Bundle
o
Now Rp. 620.000.- Now Rp. 400.000,-
Q + Q +

925 Bag Slesta Tote

Rp. 1.798.000.- Rp—TS98000=

Now Rp. 1.518.100.-

Q + Q - -

Package: C:\\Webserver\Tulisan_Dev\E-Commerce

#5 - 02/26/2025 04:44 PM - haykal haykal

- File Payment Amount tidak tergenerate.png added
- File Price Salah.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Dear Shofwan,

Tadi saya coba Checkout di CRM utk barang yang Discount (October Bundle). Namun di dokumen Sales Ordernya Payment Amountnya tidak
tergenerate (Foto 1)

Dan Price yg di ltem 0 nya jadi kelebihan dari yang seharusnya. Harusnya 450.000 tapi itu malah jadi 45.000.000 (Foto 2)
Tlg dibenerin ya Wan.
Sales Order: 00000168

Terimakasih.
#6 - 02/26/2025 08:10 PM - shofwan shiddiq

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal
Dear Haykal, perbaikan di notes sudah semua ya

1. Tampilan Diskon dan Special Price

2. Payment Method dan Payment ID

3. Value Payment sudah masuk

4. Semua hitungan sudah sesuai skenario

#7 - 03/11/2025 09:41 AM - haykal haykal
- Status changed from QA Test to Closed

Files

clipboard-202502261606-ackgs.png 175 KB 02/26/2025 shofwan shiddiq
Payment Amount tidak tergenerate.png 30.1 KB 02/26/2025 haykal haykal
Price Salah.png 10.8 KB 02/26/2025 haykal haykal
